## robocode.control
Class BattlefieldSpecification

    java.lang.Object
      robocode.control.BattlefieldSpecification

All Implemented Interfaces:
  Serializable

    public class BattlefieldSpecification

extends Object
implements Serializable

Defines the size of a battlefield.

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  Serialized Form

Constructor Summary
`BattlefieldSpecification()` Creates a standard 800 x 600 battlefield.
`BattlefieldSpecification(int width, int height)` Creates a battlefield of the specified width and height.

Method Summary
`int` `getHeight()` Returns the height of this battlefield.
`int` `getWidth()` Returns the width of this battlefield.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BattlefieldSpecification

    public BattlefieldSpecification()

  Creates a standard 800 x 600 battlefield.

### BattlefieldSpecification

    public BattlefieldSpecification(int width,
                                    int height)

  Creates a battlefield of the specified width and height.

  Parameters:
    `width` - the width of the battlefield, where 400 >= width < 5000.
    `height` - the height of the battlefield, where 400 >= height < 5000.
  Throws:
    `IllegalArgumentException` - if the width or height is less than 400 or greater than 5000

Method Detail

### getWidth

    public int getWidth()

  Returns the width of this battlefield.

  Returns:
    the width of this battlefield.

### getHeight

    public int getHeight()

  Returns the height of this battlefield.

  Returns:
    the height of this battlefield.